/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ilesteban.drools.query.test;

import java.util.ArrayList;
import java.util.List;
import org.junit.Assert;
import org.junit.Test;
import org.kie.api.KieServices;
import org.kie.api.builder.KieBuilder;
import org.kie.api.builder.Message;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

/**
 *
 * @author esteban
 */
public class QueryTest {

    @Test
    public void doTest() {
        KieServices ks = KieServices.Factory.get();
        KieContainer kContainer = ks.getKieClasspathContainer();
        KieSession kSession = kContainer.newKieSession();

        List<Child> globalList = new ArrayList<>();
        
        kSession.setGlobal("globalList", globalList);
        
        Parent p1 = new Parent();
        p1.setId("1");
        p1.setAttribute1("a1");
        p1.setAttribute2(null);
        
        Child c1p1 = new Child();
        c1p1.setName("n1");
        c1p1.setParentId(p1.getId());
        c1p1.setValue("v1.1");
        p1.addChild(c1p1);
        
        kSession.insert(p1);
        kSession.fireAllRules();
        
        Assert.assertTrue("An empty list was expected!", globalList.isEmpty());
    }

}
